import { HexString } from "./consts";
import { ChainQueryType, ChainSpecificQuery } from "./request";
export interface EthCallData {
    to: string;
    data: string;
}
export type BlockTag = number | HexString;
export declare class EthCallQueryRequest implements ChainSpecificQuery {
    callData: EthCallData[];
    blockTag: string;
    constructor(blockTag: BlockTag, callData: EthCallData[]);
    type(): ChainQueryType;
    serialize(): Uint8Array;
}
