import { BlockTag, EthCallData } from "./ethCall";
import { ChainQueryType, ChainSpecificQuery } from "./request";
export declare class EthCallByTimestampQueryRequest implements ChainSpecificQuery {
    callData: EthCallData[];
    targetTimestamp: bigint;
    targetBlockHint: string;
    followingBlockHint: string;
    constructor(targetTimestamp: bigint, targetBlockHint: BlockTag, followingBlockHint: BlockTag, callData: EthCallData[]);
    type(): ChainQueryType;
    serialize(): Uint8Array;
}
