export declare class BinaryWriter {
    private _buffer;
    private _offset;
    constructor(initialSize?: number);
    _ensure(size: number): void;
    writeUint8(value: number): this;
    writeUint16(value: number): this;
    writeUint32(value: number): this;
    writeUint64(value: bigint): this;
    writeUint8Array(value: Uint8Array): this;
    data(): Uint8Array;
}
