export declare function isValidHexString(s: string): boolean;
export declare function hexToUint8Array(s: string): Uint8Array;
/**
 * @param key Private key used to sign `data`
 * @param data Data for signing
 * @returns ECDSA secp256k1 signature
 */
export declare function sign(key: string, data: Uint8Array): string;
